<?php
class MovingBrandsAndCategoriesToEvRelatedItems extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 * @access public
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 * @access public
 */
	public $migration = array(
		'up' => array(
		),
		'down' => array(
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 * @access public
 */
	public function before($direction) {

			$RelatedItem = ClassRegistry::init('EvRelatedItems.RelatedItem');
		$Product = ClassRegistry::init('EvShop.Product');
		$Categorisation = ClassRegistry::init('EvCategory.Categorisation');

		//Loop through each product and move the brand over
		//
		$products = $Product->find('all', array(
				'conditions' => array(
					
				)
			)
		);

		foreach($products as $product) {

			$RelatedItem->create(); 

			$RelatedItem->save(array(
				'model' => 'Product',
				'model_id' => $product['Product']['id'], 
				'related_model' => 'Brand', 
				'related_model_id' => $product['Product']['brand_id']
			));
		}


		//Loop through and get all categories 
		$productCategories = $Categorisation->find('all', array(
			'conditions' => array(
				'model' => 'Product'
		)));

		foreach($productCategories as $productCategory) {

			$RelatedItem->create(); 

			$RelatedItem->save(array(
				'model' => 'Product',
				'model_id' => $productCategory['Categorisation']['model_id'], 
				'related_model' => 'Category', 
				'related_model_id' => $productCategory['Categorisation']['category_id']
			));

		}


		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 * @access public
 */
	public function after($direction) {

		return true;
	}
}
